from django import template
from django.core.urlresolvers import reverse
from hf_community.amxbans.models import AdminInfo

register = template.Library()

@register.simple_tag
def member_nick(member):
	ret = '<a href="%s">%s</a>' % (reverse('members_profile', args=[member.username,]), member.username)
	try:
		admin_info = member.admininfo_set.get(show_role=True)
		return '%s <span>(%s)</span>' % (ret, admin_info.get_role_display())
	except AdminInfo.DoesNotExist:
		return ret
